import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

import com.grapecity.documents.excel.IWorksheet;
import com.grapecity.documents.excel.SaveFileFormat;
import com.grapecity.documents.excel.Workbook;
import com.grapecity.documents.excel.drawing.IShape;
import com.grapecity.documents.excel.drawing.ImageType;
import com.grapecity.documents.excel.drawing.Placement;

public class ImageScalingUtil {

	public static void main(String[] args) throws IOException {
		Workbook workbook = new Workbook();
        IWorksheet worksheet = workbook.getWorksheets().get(0);
        IShape shape = worksheet.getShapes().addPictureInPixel(
            Files.newInputStream(Path.of("XL.svg")),
            ImageType.SVG,
            9.0,
            9.0,
            800,
            800
        );
        shape.setPlacement(Placement.FreeFloating);
        workbook.save("file.xlsx", SaveFileFormat.Xlsx);
        OpenFile("file.xlsx");
	}

	 private static void OpenFile(String fileName) {
	        try {
	        	ProcessBuilder processBuilder = new ProcessBuilder("cmd", "/c", "start", "excel", fileName);
	            processBuilder.start();
	        } catch (IOException e) {
	        	Path path = Paths.get(fileName);
	        	Path absoluteFilePath = path.toAbsolutePath();
	            System.out.println("File is saved at : " + absoluteFilePath);
	        }
	    }
}
